-- DDL for NCDB-PC database.
--
-- To be run by the owner of NCDB-PC database.

CREATE TABLE card_print (
    ncdb_card_order_entry_id    INT             NOT NULL
                                                PRIMARY KEY,
    name                        VARCHAR(256),
    surname                     VARCHAR(256),
    prefix_title                VARCHAR(256),
    suffix_title                VARCHAR(256),
    personal_id                 VARCHAR(256),
    card_number                 VARCHAR(19)        NOT NULL,
    barcode                     VARCHAR(12),
    card_type                   VARCHAR(5)        NOT NULL,
    card_subtype                VARCHAR(7),
    card_design                 VARCHAR(256),
    valid_from                  VARCHAR(7)        NOT NULL,
    valid_to                    VARCHAR(7)        NOT NULL,
    birth_date                  VARCHAR(10),
    photo                       BYTEA,
    logo                        BYTEA,
    card_issuer_name1           VARCHAR(256),
    card_issuer_name2           VARCHAR(256),
    chip                        BOOLEAN         NOT NULL,
    chip_type                   VARCHAR(256),
    chip_serial                 VARCHAR(256),
    process_result              INT             NOT NULL,
    process_message             VARCHAR(256),
    last_update_date            TIMESTAMP,
    ncdb_card_order_id		INT
);

ALTER TABLE card_print ADD CONSTRAINT card_print_process_result_check CHECK (process_result IN (0,1,2,9));

CREATE TABLE card_print_sync (
    card_print_id           INT        NOT NULL
                                       PRIMARY KEY,
    card_order_id           INT        NOT NULL,
    card_order_ready_date   TIMESTAMP  NOT NULL,
    sync_date               TIMESTAMP  NOT NULL,
    resync_date             TIMESTAMP
);

CREATE INDEX card_print_sync_card_order_id_idx ON card_print_sync (card_order_id);

CREATE TABLE system_var (
    system_var_type         VARCHAR(50)     NOT NULL
                                            PRIMARY KEY,
    value                   TIMESTAMP
);

INSERT INTO system_var(system_var_type) VALUES('LAST_NCDB_SYNCHRONIZATION_DATE');
