CREATE LANGUAGE plpgsql;

CREATE FUNCTION set_card_print_update_date() RETURNS TRIGGER AS $$
    BEGIN
        -- Update last_update_date value of the updated card print
        NEW.last_update_date = now();
        RETURN NEW;
    END;
$$ LANGUAGE plpgsql;

CREATE TRIGGER card_print_update_trigger
BEFORE UPDATE ON card_print
FOR EACH ROW EXECUTE PROCEDURE set_card_print_update_date();
